com.io7m.jstructural.annotated

## Class SAFormalItemList

- java.lang.Object
- - com.io7m.jstructural.annotated.SAFormalItemList

- All Implemented Interfaces:
    SAFormalItemContent, SAParagraphContent

      @Immutable
      public final class SAFormalItemList
      extends Object
      implements SAFormalItemContent, SAParagraphContent

  A list of formal items of a given kind.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `<A> A` | `formalItemContentAccept(SAFormalItemContentVisitor<A> v)` Accept a formal item content visitor.
    `String` | `getKind()`
    `int` | `hashCode()`
    `<A> A` | `paragraphContentAccept(SAParagraphContentVisitor<A> v)` Accept a paragraph content visitor.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### formalItemContentAccept

          public <A> A formalItemContentAccept(SAFormalItemContentVisitor<A> v)
                                        throws Exception

      Description copied from interface: `SAFormalItemContent`
      Accept a formal item content visitor.
      Specified by:
        `formalItemContentAccept` in interface `SAFormalItemContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### getKind

          public String getKind()

      Returns:
        The kind of formal items

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### paragraphContentAccept

          public <A> A paragraphContentAccept(SAParagraphContentVisitor<A> v)
                                       throws Exception

      Description copied from interface: `SAParagraphContent`
      Accept a paragraph content visitor.
      Specified by:
        `paragraphContentAccept` in interface `SAParagraphContent`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `Exception` - If the visitor raises and `Exception`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 <code@io7m.com> http://io7m.com